# Write your code here :-)
import board, adafruit_mpr121, neopixel, digitalio, pwmio, time, mount_sd, random
from adafruit_debouncer import Button
from adafruit_motor import servo
from audiopwmio import PWMAudioOut as AudioOut
from audiocore import WaveFile
from audiomp3 import MP3Decoder

strip = neopixel.NeoPixel(board.GP15, 30)

yellow = (255,255,0)
blue = (135,206,250)
pink = (255,105,180)
green = (34,139,34)
black = (0,0,0)

colors = [yellow,blue,pink,green]

i2c = board.STEMMA_I2C()
touch_pad = adafruit_mpr121.MPR121(i2c)

audio = AudioOut(board.GP16)

path = "/sd/final/"

filename = "banana_song.mp3"
mp3_file = open(path + filename, "rb")
decoder = MP3Decoder(mp3_file)

#add all the minion songs
minions = ["banana_song.mp3","minion_idol.mp3","wedding.mp3","christmas.mp3"]

def wedding():
    for i in range(1,7):
        strip[i] = pink
        time.sleep(0.2)
    for i in range(6,0,-1):
        strip[i] = black
        time.sleep(0.2)

def minion_idol():
    for i in range(8,14):
        strip[i] = blue
        time.sleep(0.075)
    for i in range(13,7,-1):
        strip[i] = black
        time.sleep(0.075)

def christmas():
    for i in range(17,23):
        strip[i] = green
        time.sleep(0.075)
    for i in range(22,16,-1):
        strip[i] = black
        time.sleep(0.075)

def banana_song():
    for i in range(24,29):
        strip[i] = yellow
        time.sleep(0.075)
    for i in range(28,23,-1):
        strip[i] = black
        time.sleep(0.075)

lights = [banana_song,minion_idol,wedding,christmas]

def play_mp3(filename,touch_num_touched):
    decoder.file = open(path + filename, "rb")
    audio.play(decoder)
    while audio.playing:
        lights[touch_num_touched]()

# Make a list of the four audios that I'm gonna use
# Cycle through them like the colors[i]

while True:
    touched = False
    for i in range(4):
        if touch_pad[i].value:
            play_mp3(minions[i],i)
            strip.fill(black)
            time.sleep(0.5)
    if not touched:
        strip.fill(black)













